package com.webchat.domain.vo.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 创建公众号
 */
@Data
public class CreatePublicAccountRequestVO {

    private Long id;

    @ApiModelProperty("公众号账号，类似java")
    private String account;

    @ApiModelProperty("机器人名称")
    private String accountName;

    @ApiModelProperty("头像")
    private String accountPhoto;

    @ApiModelProperty("公众号简介")
    private String signature;

    private String createUserId;
}
