package com.webchat.domain.vo.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author: 程序员王七七 https://www.coderutil.com 网站作者
 * @Date: 2021-7-11 0011 14:35
 * @Description: 无描述信息
 */
@Data
public class MomentSaveOrUpdateVO {

    protected Long id;

    @ApiModelProperty("动态正文")
    private String content;

    @ApiModelProperty("图片")
    private List<String> images;

    @ApiModelProperty("视频")
    private String video;

    @ApiModelProperty("作者")
    private String author;

    @ApiModelProperty("客户端")
    private String client;
}
