package com.webchat.domain.vo.request.lottery;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author 程序员七七
 * @webSite https://www.coderutil.com
 * @Date 2022/11/16 22:53
 * @description
 */
@Data
public class LotteryActivitySaveVO {

    @ApiModelProperty("活动id")
    private Long id;

    @ApiModelProperty("活动名称")
    private String name;

    @ApiModelProperty("活动描述")
    private String description;

    @ApiModelProperty("活动封面图")
    private String cover;

    @ApiModelProperty("每次抽奖需要消耗钱数")
    private BigDecimal money;

}
