package com.webchat.domain.vo.request.mess;

import com.webchat.common.enums.ChatMessageTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Date: 10.9.22 11:38 下午
 */
@Data
public class MessageBaseVO {

    @ApiModelProperty("当前用户ID")
    private String senderId;

    @ApiModelProperty("聊天对象用户ID")
    private String receiverId;

    @ApiModelProperty("代理用户（群聊真是消息发送用户）")
    private String proxySenderId;

    @ApiModelProperty("消息文本正文")
    private String message;

    /**
     * 类型
     * @see com.webchat.common.enums.ChatMessageTypeEnum
     */
    @ApiModelProperty("类型")
    private Integer type = ChatMessageTypeEnum.CHAT_TEXT.getType();
}
