package com.webchat.domain.vo.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: 程序员七七
 * @Date: 14.11.21 2:50 上午
 * 外显评论
 */
@Data
public class CommentOutResponseVO {

    private Long id;

    @ApiModelProperty("评论作者id")
    private String author;

    @ApiModelProperty("回复评论作者id")
    private String replyAuthor;

    @ApiModelProperty("评论正文")
    private String content;

    @ApiModelProperty("评论作者")
    private UserBaseResponseInfoVO authorInfo;

    @ApiModelProperty("回复评论作者")
    private UserBaseResponseInfoVO replyAuthorInfo;
}
