package com.webchat.domain.vo.response;

import com.webchat.common.util.DateUtils;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author 王七七
 * @date 2024/11/9 15:26
 */
@Data
public class UserWalletDetailResponseVO {

    @ApiModelProperty("用户详情")
    private UserBaseResponseInfoVO user;

    @ApiModelProperty("交易事件类型")
    private String event;

    @ApiModelProperty("金额流转类型")
    private Integer type;

    @ApiModelProperty("流转金钱")
    private String money;

    @ApiModelProperty("交易时间")
    private Long time;

    public String getTimeStr() {
        return DateUtils.getDate2String(new Date(time));
    }
}
