package com.webchat.domain.vo.response.lottery;

import com.webchat.common.constants.LotteryConstants;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author 程序员七七
 * @webSite https://www.coderutil.com
 * @Date 2022/11/17 01:01
 * @description
 */
@Data
public class LotteryItemVO {

    @ApiModelProperty("奖项id")
    private Long id;

    @ApiModelProperty("关联活动ID")
    private String activityId;

    @ApiModelProperty("商品类型")
    private Integer type;

    @ApiModelProperty("类型名称")
    private String typeName;

    @ApiModelProperty("奖品名称")
    private String name;

    @ApiModelProperty("奖品icon")
    private String icon;

    @ApiModelProperty("奖品封面图")
    private String cover;

    @ApiModelProperty("卡槽 1，2，3 ...... 8")
    private Integer slot;

    @ApiModelProperty("库存数量")
    private Integer stock;

    private Long createTime;

    public String getTypeName() {
        return LotteryConstants.getLotteryActivityItemTypeName(type);
    }
}
