package com.webchat.domain.vo.response.mess;


import com.webchat.domain.vo.response.UserBaseResponseInfoVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/***
 * 用户消息列表VO
 */
@Data
public class UserMessListResponseVO {

    @ApiModelProperty("当前用户")
    private UserBaseResponseInfoVO user;

    @ApiModelProperty("消息文本正文")
    private String lastMessage;

    @ApiModelProperty("消息发送时间")
    private Long time;

    @ApiModelProperty("是否有未读消息")
    private boolean unReadMess = false;
}
