package com.webchat.domain.vo.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: 程序员王七七 https://www.coderutil.com 网站作者
 * @Date: 2021-6-27 0027 18:00
 * @Description: 无描述信息
 */
@Data
public class CommentSaveVO {

    @ApiModelProperty("资源id")
    private Long resourceId;

    @ApiModelProperty("栏目id")
    private Long pathId;

    @ApiModelProperty("资源类型")
    private String resourceType;

    @ApiModelProperty("回复评论id")
    private Long replyId;

    @ApiModelProperty("评论正文")
    private String content;

    @ApiModelProperty("图片，多个图片英文逗号分割")
    private String images;

    @ApiModelProperty("作者id")
    private String authorId;

    @ApiModelProperty("是否匿名")
    private Boolean isAnonymous = false;
}
