package com.webchat.domain.vo.request.lottery;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author 程序员七七
 * @webSite https://www.coderutil.com
 * @Date 2022/11/16 22:53
 * @description
 */
@Data
public class LotteryItemSaveVO {

    @ApiModelProperty("奖品id")
    private Long id;

    @ApiModelProperty("关联活动ID")
    private String activityId;

    @ApiModelProperty("商品类型")
    private Integer type;

    @ApiModelProperty("奖品名称")
    private String name;

    @ApiModelProperty("奖品icon")
    private String icon;

    @ApiModelProperty("奖品封面图")
    private String cover;

    @ApiModelProperty("卡槽 1，2，3 ...... 8")
    private Integer slot;

    @ApiModelProperty("库存数量")
    private Integer stock;
}
