package com.webchat.domain.vo.request.mess;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/***
 * 音视频消息发送VO
 */
@Data
public class VideoChatMessageRequestVO {

    @ApiModelProperty("发送人id")
    private String userId;

    @ApiModelProperty("接受人id")
    private String targetUserId;

    @ApiModelProperty("群聊id")
    private String groupId;

    @ApiModelProperty("类型")
    private String type;

    @ApiModelProperty("candidate")
    private Object candidate;

    @ApiModelProperty("answer")
    private Object answer;

    @ApiModelProperty("offer")
    private Object offer;

}
