package com.webchat.domain.vo.response.lottery;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author 程序员七七
 * @webSite https://www.coderutil.com
 * @Date 2022/11/18 01:37
 * @description
 */
@Data
public class LotteryActivityBaseVO {

    private Long id;

    @ApiModelProperty("活动id")
    private String activityId;

    @ApiModelProperty("活动名称")
    private String name;

    @ApiModelProperty("活动描述")
    private String description;

    @ApiModelProperty("每抽奖一次需要消耗的金币")
    private Integer integral;

    @ApiModelProperty("活动海报图")
    private String cover;

    @ApiModelProperty("每次抽奖需要消耗的钱数")
    private BigDecimal money;

    @ApiModelProperty("用户初始钱包余额")
    private BigDecimal userInitWalletBalance;

    @ApiModelProperty("活动当前状态")
    private Integer status;

    @ApiModelProperty("状态名称")
    private String statusName;

    @ApiModelProperty("创建时间")
    private Long createTime;
}
