package com.webchat.domain.vo.response.lottery;

import com.webchat.domain.vo.response.UserBaseResponseInfoVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author 程序员七七
 * @webSite https://www.coderutil.com
 * @Date 2022/11/19 10:58
 * @description
 */
@Data
public class LotteryUserOrderVO {

    @ApiModelProperty("订单号")
    private String orderId;

    @ApiModelProperty("中奖用户")
    private UserBaseResponseInfoVO user;

    @ApiModelProperty("活动")
    private LotteryActivityBaseVO activity;

    @ApiModelProperty("中奖商品")
    private LotteryItemVO item;

    @ApiModelProperty("订单状态code")
    private Integer orderStatus;

    @ApiModelProperty("订单状态")
    private String orderStatusName;

    @ApiModelProperty("中奖时间")
    private long luckTime;

    @ApiModelProperty("兑换时间")
    private long exchangeTime;
}
